{%- extends "_layout_list.html" %}

{%- block searchformfields %}

                            <div class="row">
                                <div class="col-sm-4">
                                    {{ macros_form.render_form_item_default(g.search_form.search) }}
                                </div>
                                <div class="col-sm-4">
                                    {{ macros_form.render_form_item_datetime(g.search_form.dt_from, 'datetimepicker-hm-from') }}
                                </div>
                                <div class="col-sm-4">
                                    {{ macros_form.render_form_item_datetime(g.search_form.dt_to, 'datetimepicker-hm-to') }}
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3">
                                    {{ macros_form.render_form_item_select(g.search_form.state) }}
                                </div>
                                <div class="col-sm-3">
                                    {{ macros_form.render_form_item_select(g.search_form.role) }}
                                </div>
                                <div class="col-sm-3">
                                    {{ macros_form.render_form_item_select(g.search_form.membership) }}
                                </div>
                                <div class="col-sm-3">
                                    {{ macros_form.render_form_item_select(g.search_form.management) }}
                                </div>
                            </div>

{%- endblock searchformfields %}

{%- block contentinner %}

                    <table class="table table-bordered table-hover">
                        <thead>
                            <tr>
                                <th>
                                    {{ _('Login') }}
                                </th>
                                <th>
                                    {{ _('Name') }}
                                </th>
                                <th>
                                    {{ _('Roles') }}
                                </th>
                                <th>
                                    {{ _('State') }}
                                </th>
                                <th data-toggle="tooltip" title="{{ _('Contextual item actions') }}">
                                    {{ get_icon('actions') }} {{ _('Actions') }}
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            {%- for item in items %}
                            <tr{% if item.has_no_role() %} class="warning"{% elif item.has_role('admin') %} class="info"{% endif %}>
                                <td>
                                    {{ item.login | default(_('<< unknown >>'), True) }}
                                </td>
                                <td>
                                    {{ item.fullname | default(_('<< unknown >>'), True) }}
                                </td>
                                <td>
                                    {{ macros_site.render_labels_role_list(config['ROLES'], item, True) }}
                                </td>
                                <td>
                                    {{ macros_site.render_label_item_state(item.enabled, True) }}
                                </td>
                                <td class="column-actions">
                                    {{ macros_page.render_menu_context_actions(item) }}
                                </td>
                            </tr>
                            {%- endfor %}
                        </tbody>
                    </table>

{%- endblock contentinner %}
